Bug 2104186 - Please branch and build zxing-cpp in epel8
Summary: Please branch and build zxing-cpp in epel8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: zxing-cpp
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Troy Dawson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-05 18:23 UTC by Troy Dawson
Modified: 2022-07-16 01:45 UTC (History)
2 users (show)

Fixed In Version: zxing-cpp-1.2.0-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-16 01:45:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Troy Dawson 2022-07-05 18:23:14 UTC
Please branch and build zxing-cpp in epel8.
It is required for me to update kf5-prison.

If you do not wish to maintain zxing-cpp in epel8,
or do not think you will be able to do this in a timely manner,
I would be happy to be a co-maintainer of the package. (FES: tdawson)
Please add me through https://src.fedoraproject.org/rpms/zxing-cpp/adduser

I have tested and the EPEL9 package (zxing-cpp-1.2.0-1.el9) builds in EPEL8 without any changes.

Comment 1 Stephan Bergmann 2022-07-06 07:30:54 UTC
Hi Troy, Caolán is currently on vacation, and I'm in the lucky position of not having an idea of what I'd actually need to do to branch that project for epel8, so I happily added you as admin now :)

Comment 2 Troy Dawson 2022-07-06 13:48:03 UTC
Thank You
I have requested the branch - https://pagure.io/releng/fedora-scm-requests/issue/45560

When that is branched, I'll get it built.

Incase you were curious, the command to request a branch is
  fedpkg request-branch --repo zxing-cpp epel8

Comment 3 Fedora Update System 2022-07-07 13:42:15 UTC
FEDORA-EPEL-2022-222efdfd03 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-222efdfd03

Comment 4 Fedora Update System 2022-07-08 02:19:47 UTC
FEDORA-EPEL-2022-222efdfd03 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-222efdfd03

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-07-16 01:45:31 UTC
FEDORA-EPEL-2022-222efdfd03 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.